Bug 1790434 - kube-controller-manager-operator metrics cannot be scraped in IPv6 cluster [NEEDINFO]
Summary: kube-controller-manager-operator metrics cannot be scraped in IPv6 cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-controller-manager
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.3.z
Assignee: Michal Fojtik
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On: 1788148 1790430 1796618
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-13 11:03 UTC by Michal Fojtik
Modified: 2020-02-25 06:18 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1790430
Environment:
Last Closed: 2020-02-25 06:17:59 UTC
Target Upstream Version:
yinzhou: needinfo? (mfojtik)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-kube-controller-manager-operator pull 337 None closed Bug 1790434: [release-4.3] bump(*): vendor update 2020-02-20 16:45:30 UTC
Red Hat Product Errata RHBA-2020:0528 None None None 2020-02-25 06:18:15 UTC

Comment 3 zhou ying 2020-01-15 06:25:45 UTC
I saw the `Target Release` is 4.3.0 , but other similar issue like https://bugzilla.redhat.com/show_bug.cgi?id=1790442 ,its `Target Release` is 4.3.z, and the ipv6 issue can't be verified with the 4.3.0 errata, is this right ?

Comment 6 Dan Winship 2020-02-07 14:25:29 UTC
Assigning all 4.3.z IPv6 bugs to Marius Cornea for QA, as they are not yet QA-able in stock release-4.3 builds.

Comment 7 Marius Cornea 2020-02-11 21:52:09 UTC
Verified on 4.3.0-0.nightly-2020-02-10-055634(included in 4.3.0-0.nightly-2020-02-10-055634-ipv6.3) on a bare metal deployment

Image used in local disconnected registry:
[kni@provisionhost-0 ~]$ oc adm release info --image-for=cluster-kube-controller-manager-operator  -a ~/combined-secret.json   registry.ocp-edge-cluster.qe.lab.redhat.com:5000/localimages/local-release-image:4.3.0-0.nightly-2020-02-10-055634-ipv6.3
quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d940c40bc49ab2cdd6e6b6e8300b358b47b6b1671f77ba45b813f6981a746b35


Image used in 4.3.0-0.nightly-2020-02-10-055634:
[kni@provisionhost-0 ~]$ oc adm release info --image-for=cluster-kube-controller-manager-operator  -a ~/combined-secret.json   registry.svc.ci.openshift.org/ocp/release:4.3.0-0.nightly-2020-02-10-055634
quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d940c40bc49ab2cdd6e6b6e8300b358b47b6b1671f77ba45b813f6981a746b35


 oc -n openshift-monitoring port-forward svc/prometheus-operated 9090

curl -s http://localhost:9090/targets | grep openshift-kube-controller-manager-operator/kube-controller-manager-operator/0
        <a id="job-openshift-kube-controller-manager-operator/kube-controller-manager-operator/0" href="#job-openshift-kube-controller-manager-operator%2fkube-controller-manager-operator%2f0">openshift-kube-controller-manager-operator/kube-controller-manager-operator/0 (1/1 up)</a>

Comment 9 errata-xmlrpc 2020-02-25 06:17:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0528


Note You need to log in before you can comment on or make changes to this bug.